""" Script for generating timeseries from the sww file representing
the boundary condition for this location.

This to check that arrival times and amplitudes etc are sane at the boundary.
see sww2timeseries for documentation
"""

from anuga.abstract_2d_finite_volumes.util import sww2timeseries
import project
from os import sep

# generate figures - see sww2timeseries for documentation
texname = sww2timeseries({project.boundary_name + '.sww': ''},
                         project.polygons_dir + sep + 'boundary_extent_small.csv',
                         #project.polygons_dir + sep + 'boundary_points.csv',
                         project.anuga_dir,
                         report = False,
                         #reportname = 'Boundary_gauges',
                         plot_quantity = ['stage', 'speed'],
                         generate_fig = True, 
                         time_min = None,
                         time_max = None,
                         time_thinning = 1,                         
                         title_on = True,
                         use_cache = True,
                         verbose = True)

print 'finished plotting time series'

